Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1921152 - failed to send packet: Network is unreachable when resolution is busy.
Summary: failed to send packet: Network is unreachable when resolution is busy.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnsmasq
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Menšík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1917787
Blocks: 1921153
TreeView+ depends on / blocked
 
Reported: 2021-01-27 15:36 UTC by Petr Menšík
Modified: 2021-03-02 15:55 UTC (History)
10 users (show)

Fixed In Version: dnsmasq-2.84-1.fc32 dnsmasq-2.84-1.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1921153 (view as bug list)
Environment:
Last Closed: 2021-02-20 01:34:08 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Petr Menšík 2021-01-27 15:36:46 UTC
Description of problem:
In fix of CVE-2020-25686 was created regression, which applies when multiple address families send request for the same name. In that case, only one family receives responses.

Version-Release number of selected component (if applicable):
dnsmasq-2.83-1.fc33

How reproducible:
100%

Steps to Reproduce:
1. send multiple ipv4 requests for one name
2. send multiple ipv6 requests for the same name
3. both address families join single request

Actual results:
Only half of responses arrives, one address family will not receive

Expected results:
Both address families receive all responses.


Additional info:

Discovered after new upstream release, reported on mailing list[1]. Fixed by release of dnsmasq-2.84

1. https://lists.thekelleys.org.uk/pipermail/dnsmasq-discuss/2021q1/014613.html

Comment 2 Fedora Update System 2021-01-27 17:15:49 UTC
FEDORA-2021-039b93d5e4 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-039b93d5e4

Comment 3 Fedora Update System 2021-01-27 17:32:21 UTC
FEDORA-2021-2e4c3d5a9d has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2021-2e4c3d5a9d

Comment 4 Fedora Update System 2021-01-27 17:32:44 UTC
FEDORA-2021-2e4c3d5a9d has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2021-2e4c3d5a9d

Comment 5 Fedora Update System 2021-01-28 01:54:18 UTC
FEDORA-2021-039b93d5e4 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-039b93d5e4`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-039b93d5e4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2021-01-28 04:13:34 UTC
FEDORA-2021-2e4c3d5a9d has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-2e4c3d5a9d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-2e4c3d5a9d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Ben Cotton 2021-02-09 15:43:30 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 34 development cycle.
Changing version to 34.

Comment 8 Fedora Update System 2021-02-20 01:34:08 UTC
FEDORA-2021-2e4c3d5a9d has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2021-03-02 15:55:00 UTC
FEDORA-2021-039b93d5e4 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.